Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[emerge]Problème netqmail / spamassassin et clamav
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index French
View previous topic :: View next topic  
Author Message
DarkScytale
n00b
n00b


Joined: 06 Oct 2009
Posts: 9

PostPosted: Tue May 08, 2012 4:52 pm    Post subject: [emerge]Problème netqmail / spamassassin et clamav Reply with quote

Bonjour,

J'ai procédé à une install de Gentoo 64 2012 sans souci. J'ai de plus installé netqmail (la derniere version via emerge) et je souhaiterai installer spamassassin et clamav. Le souci c'est qu'il m'est conseillé (dans la doc du site gentoo) dinstaller qmail-scanner et la c'est le drame:


Quote:


emerge qmail-scanner

* IMPORTANT: 2 news items need reading for repository 'gentoo'.
* Use eselect news to read news items.

Calculating dependencies... done!
[ebuild N ] net-mail/tnef-1.4.8
[ebuild N ] app-arch/unzip-6.0-r1 USE="bzip2 unicode"
[ebuild N ] net-dns/libidn-1.24 USE="nls -doc -emacs -java -mono -static-libs"
[ebuild N ] mail-filter/maildrop-2.5.5-r1 USE="authlib berkdb gdbm mysql tools -debug -fam -ldap -postgres -static-libs -trashquota"
[ebuild N ] mail-filter/qmail-scanner-2.05 USE="-clamav -spamassassin"
[blocks B ] mail-mta/netqmail ("mail-mta/netqmail" is blocking mail-filter/maildrop-2.5.5-r1)
[blocks B ] net-mail/courier-imap ("net-mail/courier-imap" is blocking mail-filter/maildrop-2.5.5-r1)

* Error: The above package list contains packages which cannot be
* installed at the same time on the same system.

(mail-filter/maildrop-2.5.5-r1::gentoo, ebuild scheduled for merge) pulled in by
mail-filter/maildrop required by (mail-filter/qmail-scanner-2.05::gentoo, ebuild scheduled for merge)

(net-mail/courier-imap-4.5.0::gentoo, installed) pulled in by
net-mail/courier-imap required by @selected

(mail-mta/netqmail-1.06::gentoo, installed) pulled in by
~mail-mta/netqmail-1.06 required by (virtual/qmail-1.03::gentoo, installed)


For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?full=1#blocked


* IMPORTANT: 2 news items need reading for repository 'gentoo'.
* Use eselect news to read news items.


Cela va de soi que je dois utiliser netqmail et courier-imap donc il m'est impossible de les supprimer. Comment puis-je procéder soit pour installer qmail-scanner ou pour utiliser un composant équivalent.

Merci de votre aide.

Sébastien


Last edited by DarkScytale on Wed May 09, 2012 5:50 am; edited 1 time in total
Back to top
View user's profile Send private message
guilc
Moderator
Moderator


Joined: 15 Nov 2003
Posts: 3319
Location: Paris - France

PostPosted: Tue May 08, 2012 5:45 pm    Post subject: Reply with quote

Dans l'ebuild de maildrop, on trouve ça :
Code:
 33     tools? (
 34         !mail-mta/netqmail
 35         !net-mail/courier-imap
 36         !mail-mta/mini-qmail
 37     )"


Conclusion, désactive le USE "tools" de maildrop !

PS: peux-tu mettre ton titre du topic en conformité avec les conventions de notre forum s'il te plaît ? Merci :)
_________________
Merci de respecter les règles du forum.

Mon site perso : https://www.xwing.info
Mon PORTDIR_OVERLAY : https://gentoo.xwing.info ou layman -a xwing
Back to top
View user's profile Send private message
DarkScytale
n00b
n00b


Joined: 06 Oct 2009
Posts: 9

PostPosted: Wed May 09, 2012 6:00 am    Post subject: Reply with quote

Merci pour cette excellente indication (je ne suis pas encore bien habitué au concept d'installation de gentoo).

Par contre je n'ai pas tools d'activé dans USE (j'ai vérifié avec ufed ainsi que directement dans /etc/make.conf).

En revanche, dans le maildrop-2.5.5-r1.ebuild il y a

IUSE="(...) +tools (...)"

Je présume qu'il le force par lui-même, non ? En conclusion je ne vois pas trop comment passer ce problème.

Sébastien

PS: Désolé pour mon sujet
Back to top
View user's profile Send private message
barul
Guru
Guru


Joined: 28 May 2010
Posts: 424
Location: France

PostPosted: Wed May 09, 2012 6:56 am    Post subject: Reply with quote

Peut-être qu'il est tout de même possible de le désactiver, ça ne coûte rien d'essayer.
_________________
Save the penguins, burn the flags!
Back to top
View user's profile Send private message
guilc
Moderator
Moderator


Joined: 15 Nov 2003
Posts: 3319
Location: Paris - France

PostPosted: Wed May 09, 2012 8:59 am    Post subject: Reply with quote

oui, le "+tools" signifie qu'il sera activé même s'il ne l'est pas par défaut.

Pour passer outre il faut le désactiver explicitement globalement dans le make.conf (manuellement ou via ufed), ou bien seulement pour ce paquet via /etc/portage/package.use. Pour cela, je te renvoie à "man portage" pour la syntaxe de ce fichier (il y a des exemples)
_________________
Merci de respecter les règles du forum.

Mon site perso : https://www.xwing.info
Mon PORTDIR_OVERLAY : https://gentoo.xwing.info ou layman -a xwing
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index French All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum